<?php defined('SYSPATH') OR die('No direct access allowed.');

if (isset($error)) {
	echo '<div class="alert error">' . $error . '</div>';
	return;
}

?>
<h2>Portstatus summary</h2>
<table>
	<tr>
		<td style="width: 256px;"><b>Number of ports</b></td>
		<td><?php echo html::specialchars($data['portcount']); ?></td>
	</tr>
	<tr>
		<td><b>Ports available after being unused for</b></td>
		<td><?php echo html::specialchars(time::to_string($data['dormant_time'])); ?></td>
	</tr>
	<tr>
		<td><b>Last poll time</b></td>
		<td><?php echo html::specialchars(date('Y j F G:i:s', $data['stats']['mtime'])); ?></td>
	</tr>
</table>
<h2>Portstatus report</h2>
<table>
	<tr>
		<th>Index</th>
		<th>Alias</th>
		<th>Description</th>
		<th>Type</th>
		<th>Speed</th>
		<th>Admin Status</th>
		<th>Oper Status</th>
		<th>Idle time</th>
		<th>Available</th>
	</tr>

<?php
foreach ($data['data'] as $index => $port) {
	echo '<tr class=' . (($index % 2 === 0) ? 'even' : 'odd') . '>';
	echo '<td>' . html::specialchars($port[portstatus::INDEX]) . '</td>';
	echo '<td>' . html::specialchars($port[portstatus::ALIAS]) . '</td>';
	echo '<td>' . html::specialchars($port[portstatus::DESC]) . '</td>';
	echo '<td>' . html::specialchars(portstatus::get_snmp_typename($port)) . '</td>';
	echo '<td>' . html::specialchars(text::clipped_number(intval($port[portstatus::SPEED]))) . 'b/s</td>';
	echo '<td>' . html::specialchars(portstatus::get_readable_admin_status($port)) . '</td>';
	echo '<td>' . html::specialchars(portstatus::get_readable_oper_status($port)) . '</td>';
	if ($port[portstatus::ADMIN] == 1 && $port[portstatus::OPER] == 1) {
		echo '<td>0</td>';
	} else {
		echo '<td>'.html::specialchars(time::to_string($port[portstatus::IDLE])).'</td>';
	}
	echo "<td>";
	if ($port[portstatus::ADMIN] == 1) {
		if ($port[portstatus::OPER] == 1 || ($port[portstatus::IDLE] < $data['dormant_time'])) {
			echo '<span class="badge state-background pending">In use</span>';
		} else {
			echo('<span class="badge state-background ok">Yes</span>');
		}
	}else{
		echo('<span class="badge state-background down">No</span>');
	}
	echo "</td>";
	echo "</tr>";
}
?>
</table>
